module Data.Example where

import Data.Utils
import Data.GexfParser
import Data.Graph.Inductive


karate :: IO (Gr () Double)
karate =  mkGraph' <$> importGraphFromGexf "Data/karate.gexf"

eU :: [LEdge Double]
eU = [
     (2,1,1)
    ,(1,2,1)
    
    ,(1,4,1)
    ,(4,1,1)
    
    ,(2,3,1)
    ,(3,2,1)
    
    ,(3,4,1)
    ,(4,3,1)
    
    ,(4,5,1)
    ,(5,4,1)
    ]

eD :: [LEdge Double]
eD = [
     (2,1,1)
    
    ,(1,4,1)
    
    ,(2,3,1)
    
    ,(3,4,1)
    
    ,(4,5,1)
    ]

gU :: Gr () Double
gU = mkGraph' eU

-- > prettyPrint gU
-- 1:()->[(1,2),(1,4)]
-- 2:()->[(1,1),(1,3)]
-- 3:()->[(1,2),(1,4)]
-- 4:()->[(1,1),(1,3),(1,5)]
-- 5:()->[(1,4)]

-- Visual representation:
-- 
--    2
--   / \
--  1   3
--   \ /
--    4
--    |
--    5
-- 
-- 

gD :: Gr () Double
gD = mkGraph' eD

eD' :: [LEdge Double]
eD' = [
     (2,1,1)
    
    ,(1,4,1)
    
    ,(2,3,1)
    
    ,(3,4,1)
    
    ,(4,5,1)
    ,(5,6,1)
    ,(5,7,1)
    ,(6,7,1)
    ]
gD' :: Gr () Double
gD' = mkGraph' eD'
